KDE 4.7 PyKDE API Reference

- KDE's Python API

# SunLocator Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals

| positionChanged (float lon, float lat)

## Methods

float | getLat (self)
float | getLon (self)
| setPlanet (self, Marble.Planet planet)
| shadePixel (self, long pixcol, float shade)
| shadePixelComposite (self, long pixcol, long dpixcol, float shade)
float | shading (self, float lon, float a, float c)
| update (self)

## Signal Documentation

positionChanged | ( | float | lon,
|  | float | lat
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("positionChanged(qreal, qreal)"), target_slot)`

## Method Documentation

float getLat | ( |  | self ) |

float getLon | ( |  | self ) |

setPlanet | ( | self, |
|  | Marble.Planet | planet
| ) |  |  |

shadePixel | ( | self, |
|  | long | pixcol,
|  | float | shade
| ) |  |  |

shadePixelComposite | ( | self, |
|  | long | pixcol,
|  | long | dpixcol,
|  | float | shade
| ) |  |  |

float shading | ( | self, |
|  | float | lon,
|  | float | a,
|  | float | c
| ) |  |  |

update | ( |  | self ) |